BaseJsonParser (Groovy 4.0.15)

Package: org.apache.groovy.json.internal

## [Java] Class BaseJsonParser

- org.apache.groovy.json.internal.BaseJsonParser

- All Implemented Interfaces and Traits:
    JsonParser

      public abstract class BaseJsonParser
      extends Object
      implements JsonParser

  Base JSON parser. Scaled down version of Boon JsonParser with features removed that are JDK 1.7 dependent or Groovy duplicated functionality.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `ALPHA_0` |
    `protected static int` | `ALPHA_1` |
    `protected static int` | `ALPHA_2` |
    `protected static int` | `ALPHA_3` |
    `protected static int` | `ALPHA_4` |
    `protected static int` | `ALPHA_5` |
    `protected static int` | `ALPHA_6` |
    `protected static int` | `ALPHA_7` |
    `protected static int` | `ALPHA_8` |
    `protected static int` | `ALPHA_9` |
    `protected static int` | `CLOSED_BRACKET` |
    `protected static int` | `CLOSED_CURLY` |
    `protected static int` | `COLON` |
    `protected static int` | `COMMA` |
    `protected static int` | `DECIMAL_POINT` |
    `protected static int` | `DOUBLE_QUOTE` |
    `protected static int` | `ESCAPE` |
    `protected static int` | `LETTER_BIG_E` |
    `protected static int` | `LETTER_E` |
    `protected static int` | `MINUS` |
    `protected static int` | `PLUS` |
    `protected int` | `bufSize` |
    `protected String` | `charset` |
    `protected static boolean` | `internKeys` |
    `protected static ConcurrentHashMap<String, String>` | `internedKeysCache` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `charDescription(int c)`
    `` | `protected static int` | `findEndQuote(char[] array, int index)`
    `` | `protected static boolean` | `hasEscapeChar(char[] array, int index, int[] indexHolder)`
    `` | `protected static boolean` | `isDecimalChar(int currentChar)`
    `` | `protected static boolean` | `isDelimiter(int c)`
    `` | `protected static final boolean` | `isDoubleQuote(int c)`
    `` | `protected static final boolean` | `isEscape(int c)`
    `` | `protected static final boolean` | `isNumberDigit(int c)`
    `` | `public Object` | `parse(String jsonString)`
    `` | `public Object` | `parse(byte[] bytes)`
    `` | `public Object` | `parse(byte[] bytes, String charset)`
    `` | `public Object` | `parse(CharSequence charSequence)`
    `` | `public Object` | `parse(Reader reader)`
    `` | `public Object` | `parse(InputStream input)`
    `` | `public Object` | `parse(InputStream input, String charset)`
    `` | `public Object` | `parse(File file, String charset)`
    `` | `public void` | `setCharset(String charset)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final int ALPHA_0

    - #### protected static final int ALPHA_1

    - #### protected static final int ALPHA_2

    - #### protected static final int ALPHA_3

    - #### protected static final int ALPHA_4

    - #### protected static final int ALPHA_5

    - #### protected static final int ALPHA_6

    - #### protected static final int ALPHA_7

    - #### protected static final int ALPHA_8

    - #### protected static final int ALPHA_9

    - #### protected static final int CLOSED_BRACKET

    - #### protected static final int CLOSED_CURLY

    - #### protected static final int COLON

    - #### protected static final int COMMA

    - #### protected static final int DECIMAL_POINT

    - #### protected static final int DOUBLE_QUOTE

    - #### protected static final int ESCAPE

    - #### protected static final int LETTER_BIG_E

    - #### protected static final int LETTER_E

    - #### protected static final int MINUS

    - #### protected static final int PLUS

    - #### protected int bufSize

    - #### protected String charset

    - #### protected static final boolean internKeys

    - #### protected static final ConcurrentHashMap<String, String> internedKeysCache

  - ### Method Detail

    - #### protected String charDescription(int c)

    - #### protected static int findEndQuote(char[] array, int index)

    - #### protected static boolean hasEscapeChar(char[] array, int index, int[] indexHolder)

    - #### protected static boolean isDecimalChar(int currentChar)

    - #### protected static boolean isDelimiter(int c)

    - #### protected static final boolean isDoubleQuote(int c)

    - #### protected static final boolean isEscape(int c)

    - #### protected static final boolean isNumberDigit(int c)

    - #### @Override
      public Object parse(String jsonString)

    - #### @Override
      public Object parse(byte[] bytes)

    - #### @Override
      public Object parse(byte[] bytes, String charset)

    - #### @Override
      public Object parse(CharSequence charSequence)

    - #### @Override
      public Object parse(Reader reader)

    - #### @Override
      public Object parse(InputStream input)

    - #### @Override
      public Object parse(InputStream input, String charset)

    - #### @Override
      public Object parse(File file, String charset)

    - #### public void setCharset(String charset)